Permalink
Browse files

Updated the gemspec.

  • Loading branch information...
1 parent d2e0038 commit 1119c699c00ae59745b4b272947a337df891b3ff @postmodern committed Jun 15, 2010
Showing with 39 additions and 24 deletions.
  1. +39 −24 yard-contextify.gemspec
View
63 yard-contextify.gemspec
@@ -9,59 +9,74 @@ Gem::Specification.new do |s|
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["postmodern"]
- s.date = %q{2010-05-23}
+ s.date = %q{2010-06-15}
s.description = %q{yard-contextify is a plugin for YARD for parsing contextified classes.}
s.email = %q{postmodern.mod3@gmail.com}
s.extra_rdoc_files = [
"ChangeLog.md",
- "LICENSE.txt",
- "README.md"
+ "LICENSE.txt",
+ "README.md"
]
s.files = [
".gitignore",
- ".specopts",
- ".yardopts",
- "ChangeLog.md",
- "LICENSE.txt",
- "README.md",
- "Rakefile",
- "VERSION",
- "lib/yard-contextify.rb",
- "lib/yard-contextify/contextify_handler.rb",
- "lib/yard-contextify/legacy.rb",
- "lib/yard-contextify/legacy/contextify_handler.rb",
- "spec/contextify_handler_spec.rb",
- "spec/helpers/examples.rb",
- "spec/helpers/examples/bad_contextify.rb.txt",
- "spec/helpers/examples/simple_contextify.rb.txt",
- "spec/spec_helper.rb",
- "yard-contextify.gemspec"
+ ".specopts",
+ ".yardopts",
+ "ChangeLog.md",
+ "Gemfile",
+ "LICENSE.txt",
+ "README.md",
+ "Rakefile",
+ "VERSION",
+ "lib/yard-contextify.rb",
+ "lib/yard-contextify/contextify_handler.rb",
+ "lib/yard-contextify/legacy.rb",
+ "lib/yard-contextify/legacy/contextify_handler.rb",
+ "spec/contextify_handler_spec.rb",
+ "spec/helpers/examples.rb",
+ "spec/helpers/examples/bad_contextify.rb.txt",
+ "spec/helpers/examples/simple_contextify.rb.txt",
+ "spec/spec_helper.rb",
+ "yard-contextify.gemspec"
]
s.has_rdoc = %q{yard}
s.homepage = %q{http://github.com/postmodern/yard-contextify}
s.licenses = ["MIT"]
- s.rdoc_options = ["--charset=UTF-8"]
s.require_paths = ["lib"]
s.rubygems_version = %q{1.3.7}
s.summary = %q{A plugin for YARD for parsing contextified classes.}
s.test_files = [
- "spec/spec_helper.rb",
- "spec/contextify_handler_spec.rb",
- "spec/helpers/examples.rb"
+ "spec/contextify_handler_spec.rb",
+ "spec/helpers/examples.rb",
+ "spec/spec_helper.rb"
]
if s.respond_to? :specification_version then
current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
s.specification_version = 3
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
+ s.add_runtime_dependency(%q<yard>, ["~> 0.5.3"])
+ s.add_development_dependency(%q<yard>, ["~> 0.5.3"])
+ s.add_development_dependency(%q<rake>, ["~> 0.8.7"])
+ s.add_development_dependency(%q<jeweler>, ["~> 1.4.0"])
+ s.add_development_dependency(%q<rspec>, ["~> 1.3.0"])
s.add_runtime_dependency(%q<yard>, [">= 0.4.0"])
s.add_development_dependency(%q<rspec>, ["~> 1.3.0"])
else
+ s.add_dependency(%q<yard>, ["~> 0.5.3"])
+ s.add_dependency(%q<yard>, ["~> 0.5.3"])
+ s.add_dependency(%q<rake>, ["~> 0.8.7"])
+ s.add_dependency(%q<jeweler>, ["~> 1.4.0"])
+ s.add_dependency(%q<rspec>, ["~> 1.3.0"])
s.add_dependency(%q<yard>, [">= 0.4.0"])
s.add_dependency(%q<rspec>, ["~> 1.3.0"])
end
else
+ s.add_dependency(%q<yard>, ["~> 0.5.3"])
+ s.add_dependency(%q<yard>, ["~> 0.5.3"])
+ s.add_dependency(%q<rake>, ["~> 0.8.7"])
+ s.add_dependency(%q<jeweler>, ["~> 1.4.0"])
+ s.add_dependency(%q<rspec>, ["~> 1.3.0"])
s.add_dependency(%q<yard>, [">= 0.4.0"])
s.add_dependency(%q<rspec>, ["~> 1.3.0"])
end

0 comments on commit 1119c69

Please sign in to comment.